=== debian/changelog ===
ros-indigo-camera1394stereo (1.0.3-3trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Miquel Massot <miquel.massot@uib.es>  Mon, 19 Oct 2015 15:07:32 -0000

ros-indigo-camera1394stereo (1.0.1-3trusty) trusty; urgency=high

  * added libdc1394-22 dependency
  * Fix #1 <https://github.com/srv/camera1394stereo/issues/1>: pachage was always compiling due to a broken dependency

 -- Miquel Massot <miquel.massot@uib.es>  Thu, 25 Jul 2013 22:00:00 -0000

ros-indigo-camera1394stereo (1.0.0-3trusty) trusty; urgency=high

  * working catkinization of package. Prepared for release
  * added package.xml
  * catkinization of package
  * Merge branch 'develop'
  * Merge branch 'develop'
  * Merge branch 'develop' of srv.uib.es:uib-ros/camera1394stereo into develop
  * Fixed documentation comments concerning published topics.
  * Minor fixes in output messages.
  * Fixed name bug in nodelet class.
  * Fixed camera_info_manager:: namespace warning for Electric.
  * Publishing namespace changed to stereo_camera in nodelet.cpp
  * Added launch files to test nodelet version
  * Fixed white space typo
  * Fixed color coding parameter name in launch files
  * Merge branch 'develop' of srv.uib.es:uib-ros/camera1394stereo into develop
  * Fixed bug wrong service name: single_nh_ now inherits namespace from main camera_nh_
  * Merge branch 'develop' of srv.uib.es:uib-ros/camera1394stereo into develop
  * adapted launch file to be more general
  * Added rosdep libdc1394-utils
  * Added rosdep.yaml for libdc1394 dependencies
  * Merge branch 'develop'
  * Removed from .gitignore Makefile in package root
  * Upgrade to version for diamondback
  * Initial commit (stable version for cturtle)

 -- Miquel Massot <miquel.massot@uib.es>  Sun, 07 Apr 2013 22:00:00 -0000
